For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesIntegrationsAPI ReferencesRelease notes
GuidesIntegrationsAPI ReferencesRelease notes
    • APIs overview
  • Upload API
    • Errors
  • REST API
    • Authentication
    • File Metadata
      • GETList of groups
      • GETGroup info
      • DELDelete group
    • Add Ons
    • Changelog
    • Versioning
  • URL API
    • File Information
    • File Names
    • File groups
    • Image processing limitations
    • Image compression
    • Image resize and crop
    • Image rotation
    • Image overlays
    • Image colors
    • Image definition
    • Image recognition
    • Other image operations
    • Proxy
    • Signed URLs
    • CDN settings
    • Integrations
Dashboard
LogoLogo
REST APIGroup

Group info

GET
https://api.uploadcare.com/groups/:uuid/
GET
/groups/:uuid/
$curl https://api.uploadcare.com/groups/badfc9f7-f88f-4921-9cc0-22e2c08aa2da~12/ \
> -H "Accept: application/vnd.uploadcare-v0.7+json" \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "badfc9f7-f88f-4921-9cc0-22e2c08aa2da~12",
3 "datetime_created": "2024-01-15T09:30:00Z",
4 "files_count": 12,
5 "cdn_url": "https://ucarecdn.com/badfc9f7-f88f-4921-9cc0-22e2c08aa2da/",
6 "url": "https://api.uploadcare.com/groups/badfc9f7-f88f-4921-9cc0-22e2c08aa2da~12/",
7 "files": [
8 {
9 "datetime_removed": null,
10 "datetime_stored": "2024-01-15T10:00:00Z",
11 "datetime_uploaded": "2024-01-15T09:45:00Z",
12 "is_image": true,
13 "is_ready": true,
14 "mime_type": "image/jpeg",
15 "original_file_url": "https://ucarecdn.com/e575ed4e8-f4e8-4c14-a58b-1527b6d9ee46/EU_4.jpg",
16 "original_filename": "EU_4.jpg",
17 "size": 145212,
18 "url": "https://api.uploadcare.com/files/e575ed4e8-f4e8-4c14-a58b-1527b6d9ee46/",
19 "uuid": "e575ed4e8-f4e8-4c14-a58b-1527b6d9ee46",
20 "variations": {},
21 "content_info": {
22 "mime": {
23 "mime": "image/jpeg",
24 "type": "image",
25 "subtype": "jpeg"
26 },
27 "image": {
28 "color_mode": "RGBA",
29 "orientation": 1,
30 "format": "JPEG",
31 "height": 2352,
32 "width": 2935,
33 "geo_location": null,
34 "datetime_original": "2024-01-14T15:20:00Z",
35 "dpi": [
36 72,
37 72
38 ],
39 "sequence": false
40 },
41 "video": null
42 },
43 "metadata": null,
44 "appdata": null
45 }
46 ]
47}

Get a file group by its ID.

Groups are identified in a way similar to individual files. A group ID consists of a UUID followed by a “~” (tilde) character and a group size: integer number of the files in the group.

Was this page helpful?
Previous

Delete group

Next
Built with

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Path parameters

uuidstringRequired
Group UUID.

Headers

AcceptenumRequired
Version header.
Allowed values:

Response

Group's info
idstring
Group's identifier.
datetime_createddatetime

ISO-8601 date and time when the group was created.

files_countinteger>=1
Number of the files in the group.
cdn_urlstringformat: "uri"
Group's CDN URL.
urlstringformat: "uri"
Group's API resource URL.
fileslist of any or null
The list of files in the group. An array may contain null values if a file has been removed.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error

Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.

Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.

Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.

There are two available authorization schemes:

  • For production: Uploadcare, a scheme where a signature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend.
  • For quick tests: Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’s auth-param.